<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'contact_section',
	array(
		'title'         => __( 'About & Contact  Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'contact_area_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'contact_area_disable',
		array(
			'settings'      => 'contact_area_disable',
			'section'       => 'contact_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);

$wp_customize->add_setting(
    'appointment_page_maintitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'appointment_page_maintitle_heading',
        array(
            'settings'      => 'appointment_page_maintitle_heading',
            'section'       => 'contact_section',
            'label'         => __( 'Section Title , Sub Title', 'luzuk' ),
        )
    )
);    

$wp_customize->add_setting(
    'contact_page_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'ABOUT US', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_page_text',
    array(
        'settings'      => 'contact_page_text',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'About Section Text', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contactsarea_text_color', 'contact_section', 'About Section Text Color', '#979797');


$wp_customize->add_setting(
    'contact_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'We craft beautifully useful marketin and digital products that grow.', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_page_maintitle',
    array(
        'settings'      => 'contact_page_maintitle',
        'section'       => 'contact_section',
        'type'          => 'textarea',
        'label'         => __( 'Title For About Section', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contactsarea_title_color', 'contact_section', 'About Section Title Color', '#131313');


$wp_customize->add_setting(
    'contact_page_text2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'LOREM IPSUM DOLOR SIT AMET CONSECTETURE.', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_page_text2',
    array(
        'settings'      => 'contact_page_text2',
        'section'       => 'contact_section',
        'type'          => 'textarea',
        'label'         => __( 'About Section Highlight Text', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contactsareahgtxt', 'contact_section', 'About Section Highlight Text Color', '#ff1944');


$wp_customize->add_setting(
        'about_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_image_heading',
            array(
                'settings'      => 'about_image_heading',
                'section'       => 'contact_section',
                'label'         => __( 'About Section Left Image', 'luzuk-premium' ),
            )
        )
    );


    $wp_customize->add_setting(
        'about_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image',
            array(
                'section' => 'contact_section',
                'settings' => 'about_image',
                'description' => __('Recommended Image Size: 350X260px', 'luzuk-premium')
            )
        )
    );

// ===========================
$wp_customize->add_setting(
        'aboutsign_imageheading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutsign_imageheading',
            array(
                'settings'      => 'aboutsign_imageheading',
                'section'       => 'contact_section',
                'label'         => __( 'About Section Right Icon Image', 'luzuk-premium' ),
            )
        )
    );

      $wp_customize->add_setting(
        'aboutsign_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'aboutsign_image',
            array(
                'section' => 'contact_section',
                'settings' => 'aboutsign_image',
                'description' => __('Recommended Image Size: 70X64px', 'luzuk-premium')
            )
        )
    );



$wp_customize->add_setting(
	'contact_location',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '<span>25</span> YEAR EXPERIENCE', 'luzuk' )
	)
);
$wp_customize->add_control(
	'contact_location',
	array(
		'settings'      => 'contact_location',
		'section'       => 'contact_section',
		'type'          => 'textarea',
		'label'         => __( 'Experience Box Text', 'luzuk' )
	)
);

addColorPalatOption($wp_customize, 'appointment_ContactmleftbgColor', 'contact_section', 'Left Box Background Color', '#f5f5f5');

addColorPalatOption($wp_customize, 'appoilftimghv', 'contact_section', 'About Section Left Image Overlay Color', '#ff1944');

addColorPalatOption($wp_customize, 'appointment_iconbgColor', 'contact_section', 'Section Experience Background Color', '#212121');

addColorPalatOption($wp_customize, 'appointment_dataColor', 'contact_section', 'Section Experience Text Color', '#fff');

addColorPalatOption($wp_customize, 'appointment_dataphoneColor', 'contact_section', 'Section Year Text Color', '#ff1944');


// to show & hide another button
$wp_customize->add_setting( 'aboutarea_button' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'aboutarea_button', array( 'label' => 'About Button Display', 'section' => 'contact_section', 'settings' => 'aboutarea_button', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'aboutareabutton',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'DISCOVER MORE' )
    )
);
$wp_customize->add_control(
    'aboutareabutton',
    array(
        'settings'      => 'aboutareabutton',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'Luzuk Theme' )
    )
);
$wp_customize->add_setting('aboutareabuttonlink',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('aboutareabuttonlink',
    array(
        'settings'      => 'aboutareabuttonlink',
        'section'       => 'contact_section',
        'type'          => 'url',
        'label'         => __( 'Button Url', 'Luzuk Theme' )
    )
);

addColorPalatOption($wp_customize, 'appobtntxt', 'contact_section', 'About Section Button Text Color', '#979797');

addColorPalatOption($wp_customize, 'appobtntxthv', 'contact_section', 'About Section Button Text Hover Color', '#ff1944');

addColorPalatOption($wp_customize, 'appobtnicnbrd', 'contact_section', 'About Section Button Border & Icon Color', '#ff1944');

addColorPalatOption($wp_customize, 'appobtnicnbrdhv', 'contact_section', 'About Section Button Border & Icon Hover Color', '#fff');


// ===========Form Section ==========//


lzCustomLable($wp_customize, 'contactf', 'contact_section', 'Form Section');


$wp_customize->add_setting(
    'contactform_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<span>Get</span> in touch', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contactform_page_maintitle',
    array(
        'settings'      => 'contactform_page_maintitle',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Contact Form Title', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contactsarea_eqtitle_color', 'contact_section', 'Contact Form Title Color', '#fff');

addColorPalatOption($wp_customize, 'contactsarea_eqtitlehg', 'contact_section', 'Contact Form Title Highlight Color', '#fff');


lzCustomLable($wp_customize, 'appointmentright_Form_label', 'contact_section', 'Contact Inquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'contact_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

//form input text / placeholder color
addColorPalatOption($wp_customize, 'inquiry_forminputtextColor', 'contact_section', 'Form Input Text / Placeholder Color', '#707d84');

//form input bg color
addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'contact_section', 'Form Input Background Color', '#2e2e2e');

//form label color
addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'contact_section', 'Form Label Color', '#707d84');

//form text color
addColorPalatOption($wp_customize, 'inquiry_formtextColor', 'contact_section', 'Form Text Color', '#707d84');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'contact_section', 'Form Button Text Color', '#fff');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'contact_section', 'Form Button Background Color', '#ff1944');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'contact_section', 'Form Button Text Hover Color', '#000');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'contact_section', 'Form Button Background Hover color', '#fff');


addColorPalatOption($wp_customize, 'appointment_ContactmrightbgColor', 'contact_section', 'Right Box Background Color', '#212121');
